Bug 13568 - vfs_time_audit is failing FSCTL_SRV_REQUEST_RESUME_KEY requests
vfs_time_audit is failing FSCTL_SRV_REQUEST_RESUME_KEY requests
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: VFS Modules
4.6.15
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Karolin Seeger
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-08-10 08:04 UTC by Ralph Wuerthner
Modified: 2018-08-24 09:57 UTC (History)
1 user (show)

See Also:


Attachments
patches for 4.9 (3.66 KB, patch)
2018-08-13 23:05 UTC, Christof Schmitt
jra: review+
Details
patches for 4.8 (3.67 KB, patch)
2018-08-13 23:35 UTC, Christof Schmitt
jra: review+
Details
patches for 4.7 (3.67 KB, patch)
2018-08-14 04:47 UTC, Christof Schmitt
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Wuerthner 2018-08-10 08:04:22 UTC
When using the vfs_time_audit module FSCTL_SRV_REQUEST_RESUME_KEY requests are failing with NT_STATUS_INTERNAL_ERROR.

The defect can be easily reproduced via the smbtorture test case smb2.ioctl.req_resume_key:

Using seed 1533822459
time: 2018-08-09 15:47:39.669901
test: req_resume_key
time: 2018-08-09 15:47:39.670594
time: 2018-08-09 15:47:39.712858
failure: req_resume_key [
../source4/torture/smb2/ioctl.c:104: status was NT_STATUS_INTERNAL_ERROR, expected NT_STATUS_OK: FSCTL_SRV_REQUEST_RESUME_KEY
]

A similar failure can be seen by using vfs_fruit and vfs_time_audit when running vfs.fruit.copyfile:

Using seed 1533822525
time: 2018-08-09 15:48:45.461933
test: copyfile
time: 2018-08-09 15:48:45.464498
WARNING!: ../source4/torture/vfs/fruit.c:2482: status was NT_STATUS_NO_MEMORY, expected NT_STATUS_OK: FSCTL_SRV_REQUEST_RESUME_KEY
time: 2018-08-09 15:48:45.548604
failure: copyfile [
../source4/torture/vfs/fruit.c:2637: setup copy chunk error
]

Backports are required for 4.7, 4.8, and 4.9.
Comment 1 Ralph Wuerthner 2018-08-13 08:37:46 UTC
Proposed fix:
https://lists.samba.org/archive/samba-technical/2018-August/129648.html
Comment 2 Christof Schmitt 2018-08-13 23:05:49 UTC
Created attachment 14416 [details]
patches for 4.9
Comment 3 Christof Schmitt 2018-08-13 23:35:24 UTC
Created attachment 14417 [details]
patches for 4.8
Comment 4 Jeremy Allison 2018-08-13 23:54:56 UTC
Christof, set me to be the reviewer and I'll happily +1 them !
Comment 5 Christof Schmitt 2018-08-14 04:47:10 UTC
Created attachment 14420 [details]
patches for 4.7
Comment 6 Christof Schmitt 2018-08-14 04:49:41 UTC
(In reply to Jeremy Allison from comment #4)
I did not have enough time earlier for testing
the 4.7 backport, but here it is now. Happy reviewing ;-)
Comment 7 Jeremy Allison 2018-08-14 19:53:10 UTC
Re-assigning to Karolin for inclusion in 4.7.next, 4.8.next, 4.9.next.
Comment 8 Karolin Seeger 2018-08-23 08:08:06 UTC
(In reply to Jeremy Allison from comment #7)
Pushed to autobuild-v4-{9,8,7}-test.
Comment 9 Karolin Seeger 2018-08-24 09:57:16 UTC
(In reply to Karolin Seeger from comment #8)
Pushed to all branches.
Closing out bug report.

Thanks!